create table repository (
  id serial primary key not null,
  name text not null,
  path text not null,
  remote_url text not null,
  creation_user_id integer references "user"(id) not null,
  creation_instant timestamp not null
);

alter table problem
drop column if exists checker_path;

alter table problem
drop column if exists checker_language;

alter table problem
drop column if exists validator_path;

alter table problem
drop column if exists validator_language;

alter table problem
drop column if exists main_solution_path;

alter table problem
drop column if exists main_solution_language;

alter table problem
drop column if exists test_count;

alter table problem
drop column if exists test_pattern;

alter table problem
add column repository_id int null references repository(id)
