use crate::pages::assert_not_single_contest;
use crate::pages::prelude::*;

#[get("/me")]
async fn get_me(base: BaseContext, identity: Identity, hb: Data<Handlebars<'_>>) -> PageResult {
    let logged_user = require_identity(&identity)?;
    if let Some(redirect) = assert_not_single_contest(&logged_user) {
        return redirect;
    }
    #[derive(Serialize)]
    struct Context {
        base: BaseContext,
    }
    render(&hb, "me", &Context { base })
}
